%global momorel 1

Summary: KDE frontend for anyRemote
Name: kanyremote
Version: 5.2.1
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://anyremote.sourceforge.net/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/anyremote/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: anyremote
Requires: PyKDE
Requires: PyQt
Requires: pybluez
BuildPreReq: desktop-file-utils
BuildArch: noarch

%description
kAnyRemote package is KDE GUI frontend for anyRemote 
(http://anyremote.sourceforge.net/). The overall goal of this project is to 
provide remote control service on Linux through Bluetooth, InfraRed, Wi-Fi 
or TCP/IP connection.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
## %%configure does not work...
./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Utility \
  --add-category System \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kanyremote.desktop

# clean up
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/kanyremote
%{_datadir}/applications/kde/kanyremote.desktop
%{_datadir}/pixmaps/kanyremote*.png
%{_datadir}/locale/*/LC_MESSAGES/kanyremote*

%changelog
* Wed Sep 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.2.1-1m)
- version 5.2.1
- update desktop patch

* Sat Sep  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.2-2m)
- update desktop.patch for Japanese

* Sat Sep  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.2-1m)
- verion 5.2

* Fri Jul 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.0-1m)
- version 5.0

* Tue Jun  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.9-1m)
- initial package for Momonga Linux
